Podręcznik PHP
Poprzedni |  | Następny

# CV. Sybase functions

# Wprowadzenie

# Wymagania

# Instalacja

To enable Sybase-DB support configure PHP `--with-sybase[=DIR]`. DIR is the Sybase home directory, defaults to `/home/sybase`. To enable Sybase-CT support configure PHP `--with-sybase-ct[=DIR]`. DIR is the Sybase home directory, defaults to `/home/sybase`.

# Konfiguracja startowa

Na działanie tych funcji wpływają ustawienia zawarte w pliku `php.ini`.

Tabela 1. Sybase configuration options

Name | Default | Changeable
--- | --- | ---
sybase.allow_persistent | "On" | PHP_INI_SYSTEM
sybase.max_persistent | "-1" | PHP_INI_SYSTEM
sybase.max_links | "-1" | PHP_INI_SYSTEM
sybase.interface_file | "/usr/sybase/interfaces" | PHP_INI_SYSTEM
sybase.min_error_severity | "10" | PHP_INI_ALL
sybase.min_message_severity | "10" | PHP_INI_ALL
sybase.compatability_mode | "Off" | PHP_INI_SYSTEM
magic_quotes_sybase | "Off" | PHP_INI_ALL

Oto krótkie wyjaśnienie dyrektyw konfiguracji.

`sybase.allow_persistent` boolean

  Whether to allow persistent Sybase connections.

`sybase.max_persistent` integer

  The maximum number of persistent Sybase connections per process. -1 means no limit.

`sybase.max_links` integer

  The maximum number of Sybase connections per process, including persistent connections. -1 means no limit.

`sybase.min_error_severity` integer

  Minimum error severity to display.

`sybase.min_message_severity` integer

  Minimum message severity to display.

`sybase.compatability_mode` boolean

  Compatability mode with old versions of PHP 3.0. If on, this will cause PHP to automatically assign types to results according to their Sybase type, instead of treating them all as strings. This compatability mode will probably not stay around forever, so try applying whatever necessary changes to your code, and turn it off.

`magic_quotes_sybase` boolean

  If `magic_quotes_sybase` is on, a single-quote is escaped with a single-quote instead of a backslash if magic_quotes_gpc or magic_quotes_runtime are enabled.

  > Notatka: Note that when `magic_quotes_sybase` is ON it completely overrides `magic_quotes_gpc` . In this case even when `magic_quotes_gpc` is enabled neither double quotes, backslashes or NUL's will be escaped.

Tabela 2. Sybase-CT configuration options

Name | Default | Changeable
--- | --- | ---
sybct.allow_persistent | "On" | PHP_INI_SYSTEM
sybct.max_persistent | "-1" | PHP_INI_SYSTEM
sybct.max_links | "-1" | PHP_INI_SYSTEM
sybct.min_server_severity | "10" | PHP_INI_ALL
sybct.min_client_severity | "10" | PHP_INI_ALL
sybct.hostname | NULL | PHP_INI_ALL
sybct.deadlock_retry_count | "-1" | PHP_INI_ALL

Oto krótkie wyjaśnienie dyrektyw konfiguracji.

`sybct.allow_persistent` boolean

  Whether to allow persistent Sybase-CT connections. The default is on.

`sybct.max_persistent` integer

  The maximum number of persistent Sybase-CT connections per process. The default is -1 meaning unlimited.

`sybct.max_links` integer

  The maximum number of Sybase-CT connections per process, including persistent connections. The default is -1 meaning unlimited.

`sybct.min_server_severity` integer

  Server messages with severity greater than or equal to sybct.min_server_severity will be reported as warnings. This value can also be set from a script by calling sybase_min_server_severity(). The default is 10 which reports errors of information severity or greater.

`sybct.min_client_severity` integer

  Client library messages with severity greater than or equal to sybct.min_client_severity will be reported as warnings. This value can also be set from a script by calling sybase_min_client_severity(). The default is 10 which effectively disables reporting.

`sybct.hostname` string

  The name of the host you claim to be connecting from, for display by sp_who. The default is none.

`sybct.deadlock_retry_count` int

  Allows you to to define how often deadlocks are to be retried. The default is -1, or "forever".

For further details and definition of the PHP_INI_* constants see ini_set().

# Typy zasobów

# Predefiniowane stałe

To rozszerzenie nie posiada żadnych stałych.

Poprzedni | Spis treści | Następny
wordwrap | Początek rozdziału | sybase_affected_rows